Index: common/db/score.php
===================================================================
--- common/db/score.php	(revision 1080)
+++ common/db/score.php	(working copy)
@@ -34,7 +34,6 @@
             ($task_id === null ? 'NULL' : "'".db_escape($task_id)."'"),
             ($round_id === null ? 'NULL' : "'".db_escape($round_id)."'"),
             $value);
-    //log_print($query);
     return db_query($query);
 }
 
Index: scripts/send-newsletter
===================================================================
--- scripts/send-newsletter	(revision 1080)
+++ scripts/send-newsletter	(working copy)
@@ -14,8 +14,8 @@
 
 // Configuration section.
 
-define("IA_NEWSLETTER_FROM", "cristian@infoarena.ro");
-define("IA_NEWSLETTER_FROM_NAME", "Cristian George Strat");
+define("IA_NEWSLETTER_FROM", "newsletter@infoarena.ro");
+define("IA_NEWSLETTER_FROM_NAME", "Newsletter Infoarena");
 // how many emails to send at once (with no delay)
 define("IA_BURST_LENGTH", 25);
 // pause (milliseconds i.e. 10^-3) between bursts.
Index: www/controllers/task.php
===================================================================
--- www/controllers/task.php	(revision 1080)
+++ www/controllers/task.php	(working copy)
@@ -151,7 +151,9 @@
                 foreach ($tag_types as $type) {
                     $parent = 0;
                     if (isset($tag_parents[$type])) {
-                        $parent = $tags[$tag_parents[$type]][0];
+                        if (count($tags[$tag_parents[$type]]) > 0) {
+                            $parent = $tags[$tag_parents[$type]][0];
+                        }
                     }
                     $tags[$type] = tag_update('task', $new_task['id'], $type,
                         $values['tag_'.$type], $parent);
Index: www/static/css/screen.css
===================================================================
--- www/static/css/screen.css	(revision 1080)
+++ www/static/css/screen.css	(working copy)
@@ -1521,3 +1521,11 @@
     margin: 0;
     padding: 0;
 }
+
+/* Task algorithm tags page */
+.task_tag_actions {
+    margin: 0.5em;
+}
+ul.task_tag_actions li {
+    display: inline;
+}
Index: www/views/task_tags.php
===================================================================
--- www/views/task_tags.php	(revision 1080)
+++ www/views/task_tags.php	(working copy)
@@ -55,27 +55,30 @@
 
 ?>
 
-<span id="add_category">
+<h1>Editare taguri algoritmi</h1>
+<div id="add_category" class="task_tag_actions">
 [<a href="#">Adauga categorie noua</a><?php
     echo inline_post_form(url_task_tags_add(), array("type" => "method"), "", "Adauga");
 ?>]
-</span>
+</div>
 <?php
 foreach ($categories as $category) {
 ?>
-    <h1><?php echo html_escape($category["name"]); ?></h1>
-    <span class="algorithm_tag_add">[<a class="toggle_add" href="#">Adauga tag nou</a><?php
-        echo inline_post_form(url_task_tags_add(),
-            array("type" => "algorithm", "parent" => $category["id"]),
-            "", "Adauga");
-    ?>]</span>
-    <span class="delete_method">[<?php echo format_post_link(url_task_tags_delete(), "Sterge categorie",
-        array("type" => "method", "name" => $category["name"])); ?>]</span>
-    <span class="rename_method">[<a class="toggle_rename" href="#">Redenumeste categorie</a><?php
-        echo inline_post_form(url_task_tags_rename(),
-            array("type" => "method", "old_name" => $category["name"]),
-            $category["name"], "Redenumeste");
-    ?>]</span>
+    <h2><?php echo html_escape($category["name"]); ?></h2>
+    <ul class="task_tag_actions">
+        <li class="algorithm_tag_add">[<a class="toggle_add" href="#">Adauga tag nou</a><?php
+            echo inline_post_form(url_task_tags_add(),
+                array("type" => "algorithm", "parent" => $category["id"]),
+                "", "Adauga");
+        ?>]</li>
+        <li class="delete_method">[<?php echo format_post_link(url_task_tags_delete(), "Sterge categorie",
+            array("type" => "method", "name" => $category["name"])); ?>]</li>
+        <li class="rename_method">[<a class="toggle_rename" href="#">Redenumeste categorie</a><?php
+            echo inline_post_form(url_task_tags_rename(),
+                array("type" => "method", "old_name" => $category["name"]),
+                $category["name"], "Redenumeste");
+        ?>]</li>
+    </ul>
     <?php
     echo format_table($category["sub_tags"], $column_infos,
         array('css_class' => 'category fill-screen'));
@@ -85,6 +88,7 @@
 ?>
 <script type="text/javascript" src="<?= html_escape(url_static('js/inline_form.js')) ?>"></script>
 <script type="text/javascript">
+/* <![CDATA[ */
 // Bind add method link to form
 addLoadEvent(function() {
     bindToggleLinkToForm($$("#add_category > a")[0], $$("#add_category > form")[0]);
@@ -111,6 +115,7 @@
 for (var i = 0; i < addForms.length; i++) {
     bindToggleLinkToForm(renameMethodLinks[i], renameMethodForms[i]);
 }
+/* ]]> */
 </script>
 <?php
 include(IA_ROOT_DIR.'www/views/footer.php');
